const app = getApp()
import { Base } from '../../../utils/base.js';
const base = new Base()
Page({
  data: {
    list: [],
    status: false,
    num: 0,
    arr: [],
    badge_ids: []
  },
  onLoad: function (options) {
    var arr1 = JSON.parse(options.listData)
    this.setData({
      arr: arr1
    })
    this.getList()
  },
  getList() {
    wx.showLoading({
      title: '加载中...',
    })
    let params = {
      url: 'badges/all',
      callback: (data) => {
        wx.hideLoading()
        data.map((item, index) => {
          Object.assign(item, { status: false })
        });
        this.setData({
          list: data
        })
        for (var i = 0; i < this.data.list.length; i++) {
          for (var j = 0; j < this.data.arr.length; j++) {
            if (this.data.arr[j].id == this.data.list[i].id) {
              this.data.list[i].status = this.data.arr[j].status
            }
          }
        }
        this.setData({
          list: this.data.list
        })
      }
    }
    base.newRequest(params)
  },
  chooseOne: function (e) {
    let index = e.currentTarget.dataset.index;
    var list = this.data.list;
    if (list[index].status) {
      list[index].status = false
    } else {
      list[index].status = true
    }
    //点击图片把status==true的组成新的数组
    var arr = [];
    var badge_ids = [];
    for (var i = 0; i < list.length; i++) {
      if (list[i].status == true) {
        arr.push(list[i])
        badge_ids.push(list[i].id)
      }
    }
    this.setData({
      list: list,
      arr: arr,
      badge_ids: badge_ids
    })
    console.log(badge_ids)
    var s = badge_ids.toString()
    console.log(s)
  },

  save: function (e) {
    var pages = getCurrentPages();
    var prevPage = pages[pages.length - 2];  //上一个页面
    // if (this.data.arr.length == 0) {
    //   base.toast('请至少选择一个徽章')
    // } else if (this.data.arr.length > 3) {
    //   base.toast('最多选择三个徽章')
    // } else {
    //   prevPage.setData({
    //     arr: this.data.arr,
    //     badge_ids: this.data.badge_ids
    //   })
    //   wx.navigateBack({
    //     delta: 1
    //   })
    // }
    if (this.data.arr.length > 3) {
      base.toast('最多选择三个徽章')
    } else {
      prevPage.setData({
        arr: this.data.arr,
        badge_ids: this.data.badge_ids
      })
      wx.navigateBack({
        delta: 1
      })
    }
  }
})